Skip to main content
GET
/
projects
/
{project_reference}
/
resources
/
{resource_id}
Get Project Resource
curl --request GET \
  --url https://api.veryfront.com/projects/{project_reference}/resources/{resource_id} \
  --header 'Authorization: Bearer <token>'
{
  "id": "<string>",
  "pattern": "<string>",
  "description": "<string>",
  "title": "<string>",
  "source_path": "<string>",
  "source": "<string>",
  "edit_mode": "structured",
  "source_only_reasons": [
    "<string>"
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

project_reference
string
required
resource_id
string
required

Resource identifier

Query Parameters

source_target_kind
string
target_branch_id
string<uuid> | null

Response

Resource document

id
string
required
pattern
string
required
description
string
required
title
string | null
required
source_path
string
required
source
string
required
edit_mode
enum<string>
required
Available options:
structured,
source_only
source_only_reasons
string[]
required